Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001633Zandronum[All Projects] Bugpublic2013-12-31 14:182017-11-19 10:50
ReporterEdward-san 
Assigned ToLeonard 
PriorityurgentSeveritymajorReproducibilityalways
Statusneeds testingResolutionreopened 
PlatformOSOS Version
Product Version2.0-beta 
Target Version3.1Fixed in Version 
Summary0001633: [Linux x86_64] Multiplayer game completely broken
DescriptionWhen I connect to a 2.0beta server with the available linux x64 version and the 1.2 INI, the game appears completely broken:

fast cursor animations in menu and console;
very slow and choppery input responses;
ignores completely cl_capfps settings.

if I backup the old INI and let zandronum create a new one, it works fine, but when I change 'cl_capfps' to 'true' in 'console' the problem raises again, even after resetting the program.
Steps To Reproduce- Connect to a 2.0 beta server

or

- Host a server game with normal doom2.wad and connect to it
Additional Informationthe diff between new created INI and the one with 'cl_capfps' change doesn't show anything different from cl_capfps change ...
Attached Filespatch file icon linuxClientFix.patch [^] (539 bytes) 2014-01-02 15:44 [Show Content]

- Relationships
related to 0003334assignedLeonard Tickrate discrepancies between clients/servers 

-  Notes
User avatar (0007822)
Torr Samaho (administrator)
2014-01-01 21:27

Can you compile older 2.0 builds and find out which changeset caused this?
User avatar (0007824)
Edward-san (developer)
2014-01-01 21:37
edited on: 2014-01-01 22:09

alright, trying to compile and check ...

[edit]Torr, can you reproduce this in your 32bit linux machine?

[edit2]what the ... after upgrading ubuntu from 13.04 to 13.10 now when I try to run a server with compiled zandronum (1.2 works fine) I get *** buffer overflow detected *** message ...

[edit3]debug build works fine and I can still reproduce the problem. I'll try checking old revisions again ...

User avatar (0007825)
Edward-san (developer)
2014-01-01 22:38
edited on: 2014-01-02 00:55

It's hard to test, because the linux compile problems were fixed in recent commits ... so I have to proceed from the beginning of the codebase upgrades and see...

[edit]it seems that the problem started withhttps://bitbucket.org/Torr_Samaho/zandronum/commits/ba94cf3b16e1bad293c36db650ff412ca13f94ae [^] , no idea how is it that possible...

[edit2]scratch that, it seems that I can still reproduce withhttps://bitbucket.org/Torr_Samaho/zandronum/commits/bc34588bbc13be68b4fb077e9683b44fe6ab4c56 [^] ... time to recheck again

User avatar (0007826)
Edward-san (developer)
2014-01-02 01:15

Ok, culprit ishttps://bitbucket.org/Torr_Samaho/zandronum/commits/2deeea24afbf719c74bcb11576a24b61ab4565e8 [^] :

Quote

- Added partial support for a signal based timer under Linux/Mac OS X in order to make cl_capfps effective at limiting CPU usage.
User avatar (0007827)
Blzut3 (administrator)
2014-01-02 02:01

The signalling code was improved in ZDoom r3270/r3276. I do recall the old method being a little flaky in keeping 35hz (IIRC the frame rate would some times drop below 35 even though without cl_capfps it would obtain 60 or so).
User avatar (0007828)
Edward-san (developer)
2014-01-02 02:05
edited on: 2014-01-02 02:06

I can confirm that the code from specified zdoom rev works fine on my end.

User avatar (0007832)
Torr Samaho (administrator)
2014-01-02 11:30

So GZDoom revision 880 is unaffected by the problem?
User avatar (0007838)
Edward-san (developer)
2014-01-02 12:16
edited on: 2014-01-02 12:33

Since the gzdoom multiplayer code is different from zandronum, I thought I didn't need to test it, but it should be "affected", since it inherits code from zdoom r2310.


[edit]Just to note: I tested with gzdoom 880, it works fine when I run 2 clients in multiplayer.

User avatar (0007841)
Torr Samaho (administrator)
2014-01-02 15:28

I can reproduce the problem in my Ubuntu VM. Perhaps it has to do with the prediction. I'll have to look into this.
User avatar (0007842)
Torr Samaho (administrator)
2014-01-02 15:44

Can somebody check if the attached patch fixes the problem?
User avatar (0007843)
Edward-san (developer)
2014-01-02 16:18

Yes, it works properly.
User avatar (0007849)
Torr Samaho (administrator)
2014-01-02 17:36

Thanks for checking!
User avatar (0007852)
Edward-san (developer)
2014-01-02 18:16

that'd be good if the linux betas could be re-released with this patch on...
User avatar (0007853)
Torr Samaho (administrator)
2014-01-02 18:38

I think we should never re-release beta builds with manually added patches. The beta builds are just development snapshots. If we fix something important, we can just release a new beta build.
User avatar (0018869)
Leonard (developer)
2017-11-13 14:13

Quote
<@Blzut3>: and imo we should reevaluate enabling the linux timer interface. I think 3.0 has the good code.

I can't test on linux myself so someone else will have to build/test this in client mode.
Here's a commit that re-adds the linux timer for clients.
User avatar (0018870)
Edward-san (developer)
2017-11-13 14:49

Just tested the build with 1 and 2 players connecting to a server, it works fine on my end.
User avatar (0018872)
Leonard (developer)
2017-11-13 16:12

Quote
<edward-san>: <Leonard> so linux clients with cl_capfps work? <- yes

I guess Blzut was right then.
Here's the PR to revert the fix.
User avatar (0018891)
Torr Samaho (administrator)
2017-11-19 10:49

I added your patch.

Issue Community Support
Only registered users can voice their support. Click here to register, or here to log in.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2013-12-31 14:18 Edward-san New Issue
2013-12-31 14:24 Edward-san Summary Multiplayer game completely broken with Linux => [Linux x86_64] Multiplayer game completely broken
2014-01-01 21:27 Torr Samaho Note Added: 0007822
2014-01-01 21:27 Torr Samaho Target Version => 2.0
2014-01-01 21:27 Torr Samaho Status new => feedback
2014-01-01 21:37 Edward-san Note Added: 0007824
2014-01-01 21:37 Edward-san Status feedback => new
2014-01-01 21:39 Edward-san Note Edited: 0007824 View Revisions
2014-01-01 22:00 Edward-san Note Edited: 0007824 View Revisions
2014-01-01 22:01 Edward-san Note Edited: 0007824 View Revisions
2014-01-01 22:09 Edward-san Note Edited: 0007824 View Revisions
2014-01-01 22:38 Edward-san Note Added: 0007825
2014-01-02 00:30 Edward-san Note Edited: 0007825 View Revisions
2014-01-02 00:33 Edward-san Note Edited: 0007825 View Revisions
2014-01-02 00:55 Edward-san Note Edited: 0007825 View Revisions
2014-01-02 01:15 Edward-san Note Added: 0007826
2014-01-02 02:01 Blzut3 Note Added: 0007827
2014-01-02 02:05 Edward-san Note Added: 0007828
2014-01-02 02:06 Edward-san Note Edited: 0007828 View Revisions
2014-01-02 11:30 Torr Samaho Note Added: 0007832
2014-01-02 11:40 Torr Samaho Status new => feedback
2014-01-02 12:16 Edward-san Note Added: 0007838
2014-01-02 12:16 Edward-san Status feedback => new
2014-01-02 12:20 Edward-san Note Edited: 0007838 View Revisions
2014-01-02 12:32 Edward-san Note Edited: 0007838 View Revisions
2014-01-02 12:33 Edward-san Note Edited: 0007838 View Revisions
2014-01-02 15:28 Torr Samaho Note Added: 0007841
2014-01-02 15:44 Torr Samaho File Added: linuxClientFix.patch
2014-01-02 15:44 Torr Samaho Note Added: 0007842
2014-01-02 15:44 Torr Samaho Assigned To => Torr Samaho
2014-01-02 15:44 Torr Samaho Status new => needs testing
2014-01-02 16:18 Edward-san Note Added: 0007843
2014-01-02 17:36 Torr Samaho Note Added: 0007849
2014-01-02 17:36 Torr Samaho Status needs testing => resolved
2014-01-02 17:36 Torr Samaho Fixed in Version => 2.0
2014-01-02 17:36 Torr Samaho Resolution open => fixed
2014-01-02 18:16 Edward-san Note Added: 0007852
2014-01-02 18:38 Torr Samaho Note Added: 0007853
2017-11-13 09:16 Leonard Relationship added related to 0003334
2017-11-13 14:13 Leonard Note Added: 0018869
2017-11-13 14:13 Leonard Status resolved => needs testing
2017-11-13 14:13 Leonard Resolution fixed => reopened
2017-11-13 14:49 Edward-san Note Added: 0018870
2017-11-13 16:12 Leonard Note Added: 0018872
2017-11-13 16:12 Leonard Status needs testing => needs review
2017-11-13 16:12 Leonard Fixed in Version 2.0 =>
2017-11-13 16:12 Leonard Target Version 2.0 => 3.1
2017-11-17 15:20 Dusk Assigned To Torr Samaho => Leonard
2017-11-19 10:49 Torr Samaho Note Added: 0018891
2017-11-19 10:50 Torr Samaho Status needs review => needs testing






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker